2025-11-10  Karl Berry  <karl@freefriends.org>

	* etex.ch: typo.

2025-03-07  Karl Berry  <karl@tug.org>

	* TL'25 release.

2025-01-27  Karl Berry  <karl@freefriends.org>

	* am/etex.am (etex-pool.c): exit 1 if makecpool failed.

2024-04-14  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* etriptest.test:
	Filter Web2C year/dev in banner.

2024-03-10  Karl Berry  <karl@tug.org>

	* TL'24 release.

2024-03-06  Karl Berry  <karl@tug.org>

	* etex_man.tex: copyright attributions, tweak penalty array texts.

2024-03-04 David Carlisle  <David.Carlisle@latex-project.org>

	* etex_man.tex: add hyperref
	* etex_man.tex: Use Knuth license per legal.html.

2024-03-03  Karl Berry  <karl@tug.org>

	* etex_man.tex, legal.html: editorial changes.

2024-02-29 David Carlisle  <David.Carlisle@latex-project.org>

	* legal.html: Use ctan.org/pkg/etex url for e-tex reference site
	(rhbnc.ac.uk domain no longer functional).
	* etex_man.tex: Adjust introductory notes re NTS, mention pdftex
	manual, document \interlinepenalties reset at \par.

2023-11-24  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* etriptest.test, etrip/etrip.{fot,log,typ}, etrip/etripin.log:
	Check diffs of trip.{fot,typ} with ignoring trivial changes
	in trip tests.

2023-09-17  TANAKA Takuji  <ttk@t-lab.opal.ne.jp>

	* {etriptest,wprob}.test:
	Make easier to test on Windows.

2023-03-09  Karl Berry  <karl@tug.org>

	* TL'23 release.

2022-03-21  Karl Berry  <karl@tug.org>

	* TL'22 release.

2022-01-10  Karl Berry  <karl@freefriends.org>

	* am/etex.am: do not silence tangle-sh.

2021-03-23  Karl Berry  <karl@tug.org>

	* TL'21.

2021-02-22  Phelype Oleinik  <phe.h.o1@gmail.com>

	* etex.ch: avoid "expansion depth" overflow with \numexpr.

2021-02-13  Karl Berry  <karl@freefriends.org>

	* am/etex.am (etex_ch_srcs): adjust for split enctex changes.

2019-12-10  Hironori Kitagawa  <h_kitagawa2001@yahoo.co.jp>

	* am/etex.am (etex_CPPFLAGS): append $(ZLIB_INCLUDES).
	(etex_LDADD): include $(ZLIB_LIBS.)
	(etex_DEPENDENCIES): define as $(ZLIB_DEPEND) 
	(etex_web_srcs): include zlib-fmt.ch.

2018-03-24  Hironobu Yamashita <h.y.acetaminophen@gmail.com>
            Hironori Kitagawa  <h_kitagawa2001@yahoo.co.jp>

	* tex.ech: Recover the right \lastnodetype initialization
	value ignored by tex.ch.

2016-04-06  Karl Berry  <karl@tug.org>

	* etexextra.h (COPYRIGHT_HOLDER): add et al. since
	peb passed away in 2015 so can't hold later copyrights.

2015-09-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etriptest.test: Also check tripos.tex and etrip.out.

2015-07-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am: Fixed a stupid typo that caused 'make dist' to
	create e-TeX.

2015-07-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etriptest (removed): Renamed ...
	* etriptest.test (new):  ... into this.
	* am/etex.am: Better dependencies for 'make check'.

2015-06-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am: Use $(tie_c) and $(tie_m).

2015-04-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etrip/etrip.diffs: Updated for TL 2015.

2014-12-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etriptest: Complain early if (e)trip.fmt is not created.
	Inspired by report from vvv, tlbuild 14 Jun 2011 10:25:47.

2014-05-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etrip/etrip.diffs: Updated for TL14.

2014-01-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etrip/etrip.{diffs,fot,log,tex,typ}, etrip/etripin.log:
	Updated for e-TeX 3.14159265.

2014-01-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etexextra.h: Adapt to TeX Version 3.14159265.

2014-01-20  Peter Breitenlohner  <peb@mppmu.mpg.de>

	TeX tuneup of 2014.
	* etex.ch, tex.ch0, tex.ech: Adapt to TeX Version 3.14159265.

2014-01-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etrip.test (removed): Renamed ...
	* etriptest (new): ... into this.
	* am/etex.am: Adapted.

2013-11-21  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Enable hyphenation of text between \beginL and \endL or
	between \beginR and \endR.
	* etrip/etrip.diffs, etrip/etrip.fot, etrip/etrip.log,
	etrip/etrip.tex, etrip/etrip.typ, etrip/etripin.log:
	Version 2.6 [2013-11-21] for TL 2014.

2013-04-09  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etrip/etrip.diffs, etrip/etrip.fot, etrip/etrip.typ,
	etrip/etripin.log: Update for TL 2013.

2013-03-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Towards better handling of right-to-left text.

2013-03-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am: Better rule for etex_version.h.

2013-03-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch, etex_version.h: Version 2.6.
	Better handling of right-to-left text.
	* etrip/etrip.diffs, etrip/etrip.fot, etrip/etrip.log,
	etrip/etrip.tex, etrip/etripin.log: Version 2.6 [2013-03-01].

2013-02-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Version 2.5, dated February 28, 2013.

2013-01-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* wprob.test: Avoid spurious failure of parallel-tests.
	* am/etex.am: Renamed wprob.{tex,log} => ewprob.{tex,log}.

2013-01-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am, etrip.test: Enable parallel-tests.

2012-12-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am (etex_version.h): Enable silent rules.

2012-08-02  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch, etex_version.h: Version 2.5.
	Better tracing of font definitions, reported by
	Bruno Le Floch <blflatex@@gmail.com>, Jul 2012.
	* etrip/etrip.tex: Test the additional tracing.

2012-07-19  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am: Distribute etex_version.h.

2012-07-15  Akira Kakuto  <kakuto@fuk.kindai.ac.jp>

	* etexextra.c: Must #define DLLPROC before reading etexd.h.

2012-06-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etexextra.c [W32TeX]: #define DLLPROC for etex.dll.

2012-05-11  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Version 2.4, dated May 11, 2012.
	* etrip/etrip.tex, etrip/etripin.log, etrip/etrip.log,
	etrip/etrip.fot, etrip/etrip.typ, etrip/etrip.diffs: Adapted.

2012-04-11  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Fixed a typo in TeX text.

	* INSTALL, README: Removed these obsolete files.
	* am/etex.am (EXTRA_DIST): Removed INSTALL and README.

2011-09-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* wprob.test: New shell script to test for uninitialized line.
	* am/etex.am: Add the new test.	

2011-09-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Slightly reformulate printing of current line.

2011-04-07  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Version 2.3, dated April 7, 2011.
	* etrip/etrip.tex, etrip/etripin.log, etrip/etrip.log,
	etrip/etrip.fot, etrip/etrip.typ, etrip/etrip.diffs: Adapted.

2011-04-03  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Remove  remove_end_M and insert_end_M (now unused).

2011-03-31  Hironori Kitagawa  <h_kitagawa2001@yahoo.co.jp>

	* etex.ch: TeX formatting.

2011-03-30  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Further reduce e-pTeX interferences.

2011-03-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Rename box_lrstat into box_lr and define to also work
	for min_quarterword<0.

2011-03-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am: Use AM_CFLAGS instead of etex_CFLAGS.

2011-03-27  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Reformulate @<Fetch an item in the current node...@>,
	begin_box, and delete_last to fix a bug in \lastpenalty & Co;
	further reduce e-pTeX interferences.

2011-03-24  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Reformulate begin_box and delete_last to reduce
	interferences between e-TeX and pTeX.

2011-03-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Reformulate @<Fetch an item in the current node...@>
	to reduce interferences between e-TeX and pTeX.

2011-03-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Define and use the Web macros box_lr and set_box_lr
	to reduce interferences between e-TeX and pTeX.

2011-01-17  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am (etrip.diffs): Use $(triptrap_diffs).

2011-01-15  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etrip/etrip.tex: Fixed 'wrong last node type' diagnostic.

2011-01-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am (etrip-clean): Use TRIPTRAP_CLEAN.

2011-01-14  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Mention \protected in error and help messages only
	when in extended mode.
	* etrip/etrip.tex: Fixed a typo currentgroup{type => level}.

2011-01-11  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.mak, etex.mk (removed): Obsolete.

2011-01-08  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am (etex_web_srcs): Removed etex.fix.
	(etex_ch_srcs): Added enctex.ch.
	* etex.fix: Deleted.

2011-01-01  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etexextra.in: Renamed ...
	* etexextra.h: ... into this; #include etex_version.h
	for ETEX_VERSION.

	* etexextra.c (new): #include <etexd.h> and <lib/texmfmp.c>.

	* am/etex.am: etexextra.[ch] are now distributed;
	create etex_version.h instead of etex.version. 

2010-06-10  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am (etex_CPPFLAGS): Add $(AM_CPPFLAGS).

2010-05-25  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am (EXTRA_DIST): Remove tmf-pool.h.

2010-05-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: More error message with \protected, from Heiko.

2010-04-28  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etex.ch: Checked and adjusted tex.web line numbers.
	Fixed the error message for improper use of \protected,
	reported by Heiko Oberdiek <heiko.oberdiek@googlemail.com>.

2010-04-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am (etex_ch_srcs): Use tex-binpool.ch as for TeX.

2010-03-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am (TRIPTRAP): Add etrip.diffs.

2009-12-23  Karl Berry  <karl@tug.org>

	* etexextra.in (BUG_ADDRESS): tex-k@tug.org, not @mail.

2009-12-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am: Replace the obsolete $(mkdir_p) by $(MKDIR_P).

2009-10-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am: Enable compiler warnings.
	* etex-binpool.ch (get_strings_started): Drop unused variables.

2009-09-06  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am: Adapt to new makecpool with one argument.

2009-09-04  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am: Prepare compiler warnings.

2009-08-18  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am: SyncTeX now integrated into ../texmfmp.h.

2009-08-16  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am: Adapt to tangle-sh and web2c-sh.

2009-08-13  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* am/etex.am (etex_c_h): avoid to split the C code.

2009-05-12  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* etrip.test (new): Shell script for e-TRIP tests.
	* etrip/texmf.cnf (main_memory): Increased from 2999 to 3999
	required due to increased node sizes for syncTeX extensions.

2008-05-15  Karl Berry  <karl@tug.org>

	* etex.mk (etex-pool.c): the input is etex.pool.  From Akira.

2008-05-13  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex-mk: Use $(makecpool) instead of ./tex-mkcpool.

2008-03-24  Karl Berry  <karl@tug.org>

	* tex.ch0,
	* etex.ch,
	* tex.ech: update for 3.1415926.

2008-02-17  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex.ch: Fixed a bug in hyph_code handling (\savinghyphcodes)
	reported by Vladimir Volovich <vvv@vsu.ru>.
	Corrected a few typos in TeX text.

2005-08-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ech: Implement -etex switch.

2004-12-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.mk (etexextra.c): Depends on etexdir/etexextra.h.

	* etex.mk (etex-check): Add TEXMFCNF=../kpathsea to the mltex
	test, so the right files are found when the installation is not
	yet done.  From Peter Breitenlohner <peb@mppmu.mpg.de>.

2004-10-12  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex.ch: Fixed a bug in the revised glue rounding code
	(detected by Tigran Aivazian <tigran@aivazian.fsnet.co.uk>).
	Version 2.2, dated October 12, 2004.
			
2004-09-15  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex.ch: Fixed a typo in TeX text, found by Giuseppe
	Bilotta <bilotta78@hotpop.com>.

2004-09-06  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex.ch: Incorporated register recycling bug fix from Bernd
	Raichle <bernd@dante.de>.
	Final Version 2.2 (hopefully).

	* etrip/etrip.{fot,log,tex,typ}, etrip/etripin.log:
	Updated for current version.

	* etex.mk: Modified rule for etex.version.

2004-08-26  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex.mk (etrip): Use etex with "--progname=einitex --ini" or
	"--progname=etex".

2004-08-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.fix: Include fix for register recycling bug from Bernd
	Raichle <bernd@dante.de>.

2004-08-25  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etrip/etripman.tex: Updated to Version 2.2

2004-08-21  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex.ch: Version 2.2.

2004-08-20  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etexextra.in: Peter holds copyright now.
	
2004-08-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.version: Is from now on a generated file.

	* etexextra.in: renamed from etexextra.h.  The current e-TeX
	version is substituted from etex.version.  Variant of code
	supplied by Peter Breitenlohner <peb@mppmu.mpg.de>.

	* etex.mk: Added rules to extract current e-TeX version from
	etex.ch and insert into etex.version and etexextra.h.  Variant of
	code supplied by Peter Breitenlohner <peb@mppmu.mpg.de>.

2004-08-17  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.mk, etex.fix: Resurrected etex.fix, there is again a need
	to include late-breaking changes.

2004-07-29  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex.ch: Somewhat rearrange mixed direction typesetting code
	in order to reduce interference between eTeX and pdfTeX change
	files.

2004-07-25  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex.ch: Reorganize additional command codes for convert
	and last_item in order to reduce interference between eTeX and
	pdfTeX change files.

2004-07-23  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex.ch, tex.ch[01], tex.ech: Reorganize handling of banner
	string in order to reduce interference between eTeX, pdfTeX,
	and web2c change files.

2004-07-22  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex.ch: Reorganize handling of additional token types.
	This also fixed a bug in error context for additional token list
	parameters, introduced by their reorganization.

2004-07-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etrip/etripin.log: Update from Preter Breitenlohner.

	* etrip/etrip.tex: Update from Peter Breitenlohner.

	* etrip/etrip.fot: Update from Peter Breitenlohner.

2004-07-19  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex.ch, tex.ch[01]: Reorganize handling of additional token
	list and integer parameters and e-TeX's additional penalties in
	order to reduce interference between eTeX, pdfTeX, and web2c
	change files.

	* etex.ch: Add a note that this file not only defines etex.web
	in terms of changes to be applies to tex.web, but in addition
	is used to define pdfetex.web.

	* tex.ech: Add a note that this file is used to construct the
	web2c change files for both e-TeX and pdfeTeX.

2004-07-17  Peter Breitenlohner <peb@mppmu.mpg.de>

	* etex.ch: Towards etex-2.2: Adapt to TeX 3.141592; this is still
	somewhat preliminary; do_glue still needs to be adapted to the new
	glue rounding algorithm of TeX 3.141592.
	Incorporate bug fixes from etex.fix.

	* etex.ch0, etrip/etrip.{fot,tex}, etrip/etripin.log: Adapted
	to TeX 3.141592.

	* tex.ch1, tex.ech: Change the xmalloc_array calls to the `new'
	interface (from 2001-11-10).

	* etex.ch0, etex.ch1, etex.fix, tex.ch2: Removed.

	* etex.mk: Rewrite build rules for etex.{web,ch}, add
	etexdir/etex.mk and remove etex.{ch0,ch1,fix}, tex.ch2.

	* etex.version: add newline.

	* etrip/etrip.log, etrip.diffs: changed due to bug fix.

2004-07-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.fix: Add fix for typo on line 2737 of etex.ch.  From Peter
	Breitenlohner.

	* etexextra.h: Add BUG_ADDRESS.

2004-07-04  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.mk: Move the creation of the format-related links to
	format-related install rules; this seems to be a better place for
	them, as the links are pointless without the corresponding
	formats.  Make the install-*-pool rules depend on the pool file in
	question.

2004-07-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.mk: Set up the make rules so that if etex isn't built (by
	default) we do not forward from the general to the etex-specific
	rules.  But the etex-specific rules can be used.

	* etex.mk: Use $(TANGLE), $(TIE) instead ./tangle, ./tie to
	support cross-compiling.

2004-05-10  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.mk (install-etex-programs): Typo resulted in no etex binary
	being installed.

2004-05-08  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.mk (install-etex-programs): This rule didn't have a command
	attached, so etex didn't get installed.
	(install-etex-links): Dont install einitex, evirtex links.

	* etex.mk: Formats are now parked in a subdirectory of
	$(web2cdir).

	* etex.mk: Change the .efmt extension to .fmt.  One consequence is
	that we don't want to build tex.fmt, where we could safely build
	tex.efmt.

	* etexextra.h: .efmt -> .fmt.

	* tex.ech: .efmt -> .fmt.

2004-01-27  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.fix: The assignment to cur_val instead of cur_val_level
	would result in \lastnodetype getting confused about what type of
	value it was supposed to be.  Reported by Hartmut Henkel
	<hartmut_henkel@gmx.de>, fix found by Fabrice Popineau
	<Fabrice.Popineau@supelec.fr>.

2003-02-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.mk: Installation of formats is no longer done via
	install-data in this file, but just from the install-data ->
	install-dumps -> install-fmts in the main Makefile.  That way we
	can prevent automatic installation with a single change in that
	Makefile.
	(etex.p): Depend on tangle.
	(triptrap): Depend on etrip.
	(install-etex-data): Double-colon rule.
	(install-data): Combine with install-etex-data.

2003-02-17  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.ch1: Reduce to banner changes.

	* etex.ch0: Slightly extend the reverted bits here, so they can be
	cleared out of etex.ch1 and are now all in one file.

2003-02-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.ch1: Correct the banners, and revert a final few bits of
	TeX that use a variable that doesn't exist in e-TeX.

	* etex.ch0: TeX 3.141592 and e-TeX 2.1 require reconciliation.
	Revert some of TeX's code to 3.14159 to get e-TeX 2.1 to tangle.

	* etexextra.h: Update banner for 3.141592-2.1.

	* etex.mk (etex.web): Add etex.ch0 and etex.ch1 to build rules.

2003-02-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.mk: From klibtool to libtool.  Based on patches from Albert
	Chin-A-Young <china@thewrittenword.com>.

	* etex.mk: Changes to make e-TeX, in extended mode, the engine
	under LaTeX2e.

2003-02-07  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.mk: Reorganized to match the new Makefile.in.

2003-01-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* etex.mk (etestenv): Add LC_ALL=C to the etrip environment.

2002-10-11  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch1: Settle on a text for the not-TeX banner.

2002-06-02  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch0, tex.ch1: Changes to account for the banner changing
	when certain options are specified that make the program
	not-strictly TeX.

	* tex.ch2: Commented-out changes deleted.  These changes became
	active in tex.ch1.

Mon Feb 01 18:35:30 1999  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Version 2.1 for Web2c Version 7.2

Thu Feb 19 18:03:12 1998  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Version 2.0 for Web2c Version 7.2

Sat Aug 23 14:14:12 1997  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* Integrated e-TeX Version 1.1 into Web2c Version 7.0
	(by Karl Berry, as of Feb  7 1997.

	All e-TeX (and e-TRIP) source files as well as a Makefile fragment
	are in a separate directory: web2c/etexdir. This will certainly make
	it easier to switch to e-TeX Version 2.
